Bug 1664718 - [RFE] IdM DNSSEC support
Summary: [RFE] IdM DNSSEC support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: IPA Maintainers
QA Contact: ipa-qe
Filip Hanzelka
URL:
Whiteboard:
Depends On: 1115294
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-09 13:52 UTC by Martin Kosek
Modified: 2019-07-24 08:57 UTC (History)
8 users (show)

Fixed In Version: ipa-4.7.1-7.module+el8+2555+b334d87b
Doc Type: Technology Preview
Doc Text:
.DNSSEC available as Technology Preview in IdM Identity Management (IdM) servers with integrated DNS now support DNS Security Extensions (DNSSEC), a set of extensions to DNS that enhance security of the DNS protocol. DNS zones hosted on IdM servers can be automatically signed using DNSSEC. The cryptographic keys are automatically generated and rotated. Users who decide to secure their DNS zones with DNSSEC are advised to read and follow these documents: * DNSSEC Operational Practices, Version 2: http://tools.ietf.org/html/rfc6781#section-2 * Secure Domain Name System (DNS) Deployment Guide: http://dx.doi.org/10.6028/NIST.SP.800-81-2 * DNSSEC Key Rollover Timing Considerations: http://tools.ietf.org/html/rfc7583 Note that IdM servers with integrated DNS use DNSSEC to validate DNS answers obtained from other DNS servers. This might affect the availability of DNS zones that are not configured in accordance with recommended naming practices.
Clone Of: 1115294
Environment:
Last Closed: 2019-06-14 02:05:13 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Kosek 2019-01-09 13:52:01 UTC
+++ This bug was initially created as a clone of Bug #1115294 +++
This bug is created to track availability of IdM DNSSEC feature introduced in RHEL-7, in Bug 1115294 and denote that it is still being offered as TechPreview.

Upstream Resources:
* https://pagure.io/freeipa/issue/3801
* https://www.freeipa.org/page/V4/DNSSEC_Support
* https://docs.pagure.org/bind-dyndb-ldap/BIND9/Design/DNSSEC.html

RHEL Resources:
* https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/installing-ipa#dns-reqs


Note You need to log in before you can comment on or make changes to this bug.